@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&display=swap');
* {
    margin: 0;
    padding: 0;
    font-family: 'Open Sans', sans-serif;
}

body {
    width: 100%;
    height: 100vh;
    background-color: rgb(39, 39, 39);
}

header {
    display: flex;
    align-items: center;
    width: 100%;
    height: 7vh;
}

.menu {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 40%;
}

h2 {
    color: rgb(246, 96, 41);
}


.userlogin_photo {
    /* background-color: yellow; */
    display: flex;
    align-items: center;
    justify-content: center;
    height: 30%;
    width: 95%;
    margin-bottom: 10px;
}

.userphoto {
    display: flex;
    justify-content: center;
    width: 28%;
    margin-right: 15px;
}

h1 {
    color: whitesmoke;
}

img {
    width: 5vh;
    height: 5vh;
    border-radius: 50%;
}

.userlogin {
    display: flex;
    justify-content: center;
    width: 28%;
    display: flex;
    align-items: center;
    /* background-color: yellow; */
}

.p_userlogin {
    font-size: 2em;
    color: rgb(246, 96, 41);
}

table {
    /* background-color: teal; */
    height: 10vh;
}

tr {
    /* background-color: tomato; */
    width: 5vh;
    height: 5vh;
}

#tdPhoto {
    /* background-color: tomato; */
    width: 6vh;
    height: 5vh;
}

#tdUsername {
    /* background-color: tomato; */
    width: 8vh;
    height: 5vh;
    font-size: 1.4em;
    color: rgb(246, 96, 41);
}

#ajout_user {
    height: 12vh;
    width: 100%;
    display: flex;
    justify-content: center;
    /* background-color: turquoise; */
}

#formUser {
    width: 50%;
    height: 12vh;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    /* background-color: thistle; */
}

#user {
    text-decoration: none;
    background-color: rgb(20, 20, 20);
    color: rgb(246, 96, 41);
    height: 5vh;
    border-radius: 5px;
    font-size: 1.2em;
    /* width: 20vh; */
    cursor: pointer;
}

#adduser {
    background-color: rgb(246, 96, 41);
    color: whitesmoke;
    border-style: none;
    border-radius: 5px;
    height: 3vh;
    cursor: pointer;
}

#adduser:hover {
    background-color: rgb(255, 110, 57);
    transition: 0.3s;
}

.divform {
    display: flex;
    flex-direction: column;
    /* background-color: turquoise; */
    width: 80vh;
    height: 18vh;
}

.formAddUser {
    display: flex;
    /* background-color: tomato; */
    flex-direction: column;
    justify-content: space-around;
    height: 15vh;
}

#textmessage {
    background-color: rgb(20, 20, 20);
    border-style: none;
    border-radius: 5px;
    color: whitesmoke;
    font-size: 1.5em;
    height: 10vh;
}

#envoitext {
    /* background-color: yellowgreen; */
    height: 3vh;
    width: 20vh;
    border-style: none;
    border-radius: 5px;
}

.message {
    /* background-color: turquoise; */
    width: 80vh;
    height: 69vh;
}

.p_user {
    background-color: rgb(255, 110, 57);
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    color: whitesmoke;
    width: 30vh;
}

p {
    /* border-top-left-radius: 5px;
    border-top-right-radius: 5px; */
    background-color: rgb(20, 20, 20);
    width: 30vh;
    color: whitesmoke;
}



@media screen and (min-width: 900px) {
    .postUserMessage {
        display: flex;
        flex-direction: column;
        align-items: flex-end;
    }
}

@media screen and (max-width: 900px) {
    .postUserMessage {
        /* display: flex;
        flex-direction: column;
        align-items: flex-end; */
    }
}

.nameUser {
    background-color: rgb(255, 110, 57);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    display: flex;
    justify-content: flex-end;
    font-size: 0.8em;
    color: black;
}

.name {
    background-color: rgb(20, 20, 20);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    display: flex;
    justify-content: flex-end;
    font-size: 0.8em;
    color: rgb(255, 110, 57);
}

.a_menu {
    color: rgb(246, 96, 41);
    text-decoration: none;
    font-size: 1.2em;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 7vh;
    width: 100%;
}

.a_menu:hover {
    transition: 0.7s;
    background-color: rgb(246, 96, 41);
    color: whitesmoke;
}


@media screen and (min-width: 900px) {
    .divinfo {
        background-color: rgb(20, 20, 20);
        display: flex;
        flex-direction: column;
        align-items: center;
        border-width: 1px;
        border-radius: 5px;
        height: 87%;
        width: 20%;
    }
}
@media screen and (max-width: 900px) {
    .divinfo {
        background-color: rgb(20, 20, 20);
        display: flex;
        flex-direction: column;
        align-items: center;
        border-width: 1px;
        border-radius: 5px;
        height: 50%;
        width: 100%;
    }
}


/* ------------------------------------------------------------------------------------ */


@media screen and (max-width: 900px) {
    section {
        width: 100%;
        justify-content: center;

    }
}

@media screen and (min-width: 900px) {
    section {
        width: 100%;
        display: flex;
        height: 100%;
        justify-content: center;
    }
}

@media screen and (max-width: 900px) {
    .central {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
        margin-top: 2vh;


    }
}

@media screen and (min-width: 900px) {
    .central {
        display: flex;
        flex-direction: column;
        height: 100%;
        margin-right: 25px;
        margin-left: 25px;

    }
}